OpenWrt/LEDE Project

  • Status Closed
  • Percent Complete
    100%
  • Task Type Bug Report
  • Category Packages
  • Assigned To No-one
  • Operating System All
  • Severity Medium
  • Priority Very Low
  • Reported Version openwrt-18.06
  • Due in Version Undecided
  • Due Date Undecided
  • Private
Attached to Project: OpenWrt/LEDE Project
Opened by thankeyes - 10.07.2018
Last edited by Jo-Philipp Wich - 20.08.2018

FS#1646 - ppp-mod-pptp for the pptp is not working in version 18.06.0-rc1

The version 18.06.0-rc1 which I install is from here.
https://downloads.openwrt.org/releases/18.06.0-rc1/targets/ramips/mt7620/openwrt-18.06.0-rc1-ramips-mt7620-miwifi-mini-squashfs-sysupgrade.bin

The step what I did is
1.opkg update
2.opkg install ppp-mod-pptp
3.opkg install kmod-nf-nathelper-extra
4.reboot
5.setup the PPTP in the LUCI
##################################
the erro log
##################################
Using interface pptp-vpn
Connect: pptp-vpn ←→ pptp (66.212.x.x)
read returned zero, peer has closed
read returned zero, peer has closed
LCP: timeout sending Config-Requests
Connection terminated.
Modem hangup
Using interface pptp-vpn
Connect: pptp-vpn ←→ pptp (66.212.x.x)
##############################
And all the PC in the LAN can not client to the PPTP server.

If I install the version 17.01.4
https://downloads.openwrt.org/releases/17.01.4/targets/ramips/mt7620/lede-17.01.4-ramips-mt7620-miwifi-mini-squashfs-sysupgrade.bin

And follow the step that I wrote upstair,the PPTP is working fine.
And all the PC in the LAN can client to the PPTP server.

I made a snapshots of newest trunk with ppp-mod-pptp and kmod-nf-nathelper-extra,too.
OpenWrt SNAPSHOT r7402-0f54388 / LuCI Master (git-18.185.66236-26d90f0)
The PPTP client still can not work and all the PC in the LAN can not client to the PPTP server.

Closed by  Jo-Philipp Wich
20.08.2018 06:20
Reason for closing:  Works for me
Additional comments about closing:  

Install of kmod-ipt-raw might be required to spawn CT helper rules.

camel commented on 15.07.2018 16:27

this package is missing ? not compiled at all
pls can anyone take a look ?

Admin
Jo-Philipp Wich commented on 21.07.2018 16:20

Confused the subject due to unrelated comment above.

docenttmp commented on 27.07.2018 08:15

18.06.0-rc2 + dsl-2650u + 841n V8 + default settings, all needed packages installed (mppe on/off) = pptp not work

flfq commented on 03.08.2018 10:41

old version have kmod-crypto
new version not have it

flfq commented on 03.08.2018 10:45

Does not support ms-chap v2?

flfq commented on 03.08.2018 10:52

kmod-mppe - 4.9.111-1 - Kernel modules for Microsoft PPP compression/encryption
kmod-mppe - 4.14.54-1 - Kernel modules for Microsoft PPP compression/encryption
pptp error


this is ok
kmod-mppe - 4.14.48-1

LiuYan commented on 03.08.2018 15:26

Same story after 18.06.0 been installed.

I had downgraded to 17.01.5 to get pptp work.

MoonDigi commented on 06.08.2018 08:11

same config

17.01.4 work
18.06.0 not work

Sergey commented on 06.08.2018 12:50

Same story after 18.06.0 been installed.

I had downgraded to 17.01.5 to get pptp work.

camel commented on 06.08.2018 15:07

same on current trunk :(

SAprelov commented on 13.08.2018 22:17

No need to downgrade.

opkg install kmod-ipt-raw

and add line to /etc/firewall.user (from here https://bugs.openwrt.org/index.php?do=details&task_id=1083)

iptables -t raw -A OUTPUT -p tcp -m tcp –dport 1723 -j CT –helper pptp

LiuYan commented on 19.08.2018 05:38

@SAprelov

Thanks, it works!

camel commented on 25.08.2018 06:34

be careful:
in firewall.user it should be :

iptables -t raw -A OUTPUT -p tcp -m tcp --dport 1723 -j CT --helper pptp

Loading...

Available keyboard shortcuts

Tasklist

Task Details

Task Editing